View Issue Details

IDProjectCategoryView StatusLast Update
0000942SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000942: Add a router type of 'audit' that captures changes in an dynamically created audit table.
DescriptionThis router audits captured data by recording the change in an audit table that the router creates and keeps up to date (as long as auto.config.database is set to true.) The router creates a table named the same as the table for which data was captured with the suffix of _AUDIT. It will contain all of the same columns as the original table with the same data types only each column is nullable with no default values.

Three extra "AUDIT" columns are added to the table:
AUDIT_ID - the primary key of the table.
AUDIT_TIME - the time at which the change occurred.
AUDIT_EVENT - the DML type that happened to the row.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:31

administrator   ~0000127

Prepare for release

Related Changesets

SymmetricDS: master 21fdeb5f

2012-12-05 21:05:07

chenson

Details Diff
0000942: Add a router type of 'audit' that captures changes in an dynamically created audit table.
0000942
mod - symmetric-assemble/src/docbook/configuration.xml Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeGroupLinkAction.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerHistory.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File

SymmetricDS: master 8af040b2

2012-12-05 21:07:29

chenson

Details Diff
0000942: Add a router type of 'audit' that captures changes in an dynamically created audit table.
0000942
mod - symmetric-assemble/src/docbook/configuration.xml Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master ef01674e

2012-12-06 08:25:38

chenson

Details Diff
0000942: Add a router type of 'audit' that captures changes in an dynamically created audit table.
0000942
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2012-12-05 21:04 chenson New Issue
2012-12-05 21:04 chenson Status new => assigned
2012-12-05 21:04 chenson Assigned To => chenson
2012-12-05 21:04 chenson Status assigned => resolved
2012-12-05 21:04 chenson Fixed in Version => 3.2.0
2012-12-05 21:04 chenson Resolution open => fixed
2012-12-16 12:31 chenson Note Added: 0000127
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6630
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6631
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6633
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ef01674e
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8af040b2
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 21fdeb5f